_

Zestaw warstw

Forum poświęcone flagowemu produktowi oraz aplikacjom pochodnym Autodesku. To jedyne forum mające w tytule nazwę programu, a to ze względu na jego olbrzymią popularność w Polsce. Można tutaj umieszczać również posty z ogólnie pojętej tematyki "Kreślarskie 2D".

Zestaw warstw

Postprzez miro88 » lis 25, 2021 22:03

Czy jest jakiś sposób, aby za jednym zamachem dodać sobie taki przykładowy zestaw warstw:
- K50
-K100
-K200
-K300
do istniejącego rysunku?
miro88
 
Posty: 125
Dołączył(a): wrz 24, 2009 00:48
Lokalizacja: Wieliczka

Re: Zestaw warstw

Postprzez andkal » gru 04, 2021 15:21

Kod: Zaznacz cały
(foreach lay (list "K50" "K100" "K200" "K300") (vla-add (vla-get-layers (vla-get-activedocument (vlax-get-acad-object) ))  lay) )
http://www.autolisps.blogspot.com - handy plugins for autocad
andkal
 
Posty: 75
Dołączył(a): paź 01, 2017 22:10

Re: Zestaw warstw

Postprzez kojacek » gru 04, 2021 17:05

andkal napisał(a):
Kod: Zaznacz cały
(foreach lay (list "K50" "K100" "K200" "K300") (vla-add (vla-get-layers (vla-get-activedocument (vlax-get-acad-object) ))  lay) )


albo (naj) krócej:
Kod: Zaznacz cały
(command "_-LAYER" "_n" "K50,K100,K200,K300" "")
Avatar użytkownika
kojacek
 
Posty: 5574
Dołączył(a): paź 03, 2005 20:17


Powrót do AutoCAD

Kto przegląda forum

Użytkownicy przeglądający ten dział: Google [Bot]